.frame-wide:has(.objectmap) {
  container-type: inline-size;
}

.objectmap {
  height: 720px;
  display: flex;
  flex-direction: column;
  --objectmap--item-width: 280px;
  --objectmap--item-height: 172px;
  --objectmap--item-gap: 8px;
  --objectmap--canvas-height: calc(100svh - 170px);
  max-height: var(--objectmap--canvas-height);
  position: relative;
}

@container (min-width: 800px) {
  .objectmap {
    flex-direction: row;
    height: 630px;
  }
}

.objectmap__map {
  width: 100%;
  height: 100%;
}

.objectmap__map-canvas {
  width: 100%;
  height: 100%;
}

.objectmap__nav {
  width: 100%;
  flex-shrink: 0;
  display: flex;
  flex-direction: column;
  /* height: 0; */
  position: relative;
  order: -1;
}

@container (min-width: 800px) {
  .objectmap__nav {
    width: 350px;
    height: initial;
    position: static;
    order: initial;
  }
}

.objectmap__popup {
  width: var(--objectmap--item-width);
  display: flex;
  flex-direction: column;
}

.objectmap__carousel {
  overflow: auto;
  height: var(var(--objectmap--item-height));
  width: 100%;
}

.objectmap__carousel-slider {
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.objectmap__carousel-items {
  display: flex;
  gap: var(--objectmap--item-gap);
  position: relative;
  width: calc(
    var(--objectmap-carouselitems) * var(--objectmap--item-width) + (var(--objectmap-carouselitems) - 1) *
      var(--objectmap--item-gap)
  );
  transition: all 0.4s ease;
}

.objectmap__carousel-item {
  width: var(--objectmap--item-width);
  height: var(--objectmap--item-height);
  flex-shrink: 0;
  position: relative;
  overflow: clip;
}

.objectmap__carousel-image {
  display: block;
  width: 100%;
  height: 100% !important;
  object-fit: contain;
}

.objectmap__popup-content {
  position: relative;
}

.objectmap__carousel-nav {
  display: flex;
  justify-content: space-between;
  height: 40px;
  align-items: center;
}

.objectmap__carousel-prevnext-button {
  background: transparent;
  width: 14px;
  height: 40px;
  overflow: clip;
  text-indent: -1000px;
  background-color: transparent;
  background-repeat: no-repeat;
  background-position: center;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='10' height='16'%3E%3Cpath fill='none' fill-rule='evenodd' stroke='%236D1B5E' stroke-linecap='round' stroke-width='2' d='m8.411 1-7 7 7 7' /%3E%3C/svg%3E%0A");
}

.objectmap__carousel-prevnext-button:focus,
.objectmap__carousel-prevnext-button:hover,
.objectmap__carousel-prevnext-button:active {
  background-color: transparent;
  outline: none;
}

.objectmap__carousel-next-button {
  transform: scaleX(-1);
}

.objectmap__carousel-pagination {
  display: flex;
  justify-content: flex-end;
  gap: 8px;
}

.objectmap__carousel-pagination-button {
  display: block;
  width: 10px;
  height: 10px;
  border-radius: 10px;
  background-color: #e4e4e4;
  overflow: clip;
  text-indent: -3em;
  outline: none;
}

.objectmap__carousel-pagination-button[aria-current] {
  background-color: #6d1a5e;
}

.objectmap__popup-facts {
  display: grid;
  grid-template-columns: min-content auto;
  font-family: var(--condensed);
  font-size: 14px;
}

.objectmap__popup-facts-title {
  padding: 4px 8px;
}
.objectmap__popup-facts-value {
  font-weight: 300;
  padding: 4px 8px;
  text-align: end;
  font-variant-numeric: tabular-nums;
}

.objectmap__popup-facts-title:nth-child(4n + 1) {
  background-color: #f3f3f3;
}
.objectmap__popup-facts-value:nth-child(4n + 2) {
  background-color: #f3f3f3;
}

.objectmap__popup__head {
  padding-bottom: 12px;
}

.objectmap__title {
  font-family: var(--condensed);
  font-size: 18px;
  line-height: 22px;
  font-weight: 400;
}

.objectmap__neighbourhood {
  font-family: var(--condensed);
  font-weight: 300;
  font-size: 13px;
  line-height: 13px;
}

.objectmap__nav-list {
  overflow: auto;
  height: 100%;
  display: none;
}

@container (min-width: 800px) {
  .objectmap__nav-list {
    display: block;
  }
}

.objectmap__nav-list-item {
  display: block;
}

.objectmap__nav-list-item[visibility="hidden"] {
  visibility: hidden;
  border: none;
  height: 0;
  overflow: hidden;
}

.objectmap__nav-list-item:nth-child(2n + 1) {
  background-color: #f3f3f3;
}

.objectmap__nav-list-item + .objectmap__nav-list-item {
  border-top: 1px solid #ddd;
}

.objectmap__nav-item-button {
  display: flex;
  flex-direction: column;
  gap: 2px;
  padding: 10px 15px;
  width: 100%;
  text-align: start;
  background-color: transparent;
}

.objectmap__nav-item-button:hover,
.objectmap__nav-item-button[aria-current] {
  background-color: #6d1a5e;
  color: #fff;
}

.objectmap__nav-item-title {
  font-family: var(--condensed);
  font-size: 18px;
  line-height: 22px;
  font-weight: 400;
}

.objectmap__nav-item-address {
  font-family: var(--condensed);
  font-weight: 300;
  font-size: 13px;
  line-height: 13px;
}

.objectmap__filter {
  background: #c6183d;
  padding: 20px 30px;
  width: 100%;
  top: 0;
  position: relative;
  width: 100%;
  z-index: 2;
  background-size: -100% 100%;
  background-image: radial-gradient(circle at 100% 0%, #c6183d 0%, #94001f 141%);
}

/*  */

@container (min-width: 800px) {
  .objectmap__filter {
    flex-shrink: 0;
    position: static;
    z-index: 6;
    width: 100%;
    padding: 35px 30px;
    transform: none;
    max-width: initial;
    border-radius: 0;
    box-shadow: none;
  }
}

.objectmap__select-wrapper {
  border-radius: 8px;
  border-radius: 8px;
  height: 40px;
  border: 1px solid #fff;
  position: relative;
}

.objectmap__select-wrapper::after {
  content: "";
  pointer-events: none;
  width: 13px;
  height: 13px;
  /* background-color: #fff; */
  top: 50%;
  right: 25px;
  transform: translateY(calc(-50% - 2px));
  display: block;
  position: absolute;
  background-image: url("data:image/svg+xml,%3Csvg width='13' height='13' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='m12.728 6.364-6.364 6.364L0 6.364z' fill='%23FFF' fill-rule='evenodd'/%3E%3C/svg%3E");
}

.objectmap__filter-select {
  background-color: transparent;
  color: #fff;
  border-radius: 8px;
  height: 40px;
  font-family: var(--condensed);
  font-size: 18px;
  border: none;
  outline: none;
  appearance: none;
}

.objectmap__filter-select option {
  color: initial;
}

.objectmap__counter {
  position: absolute;
  padding: 6px 18px;
  color: #fff;
  background: #6d1a5e;
  text-align: center;
  font-size: 14px;
  flex-direction: column;
  justify-content: flex-end;
  display: none;
  border-radius: 8px;
  top: initial;
  left: 10px;
  bottom: 8px;
}

@container (min-width: 800px) {
  .objectmap__counter {
    display: block;
  }
}

.objectmap .maplibregl-popup-content {
  border-radius: 20px;
  box-shadow: rgba(0, 0, 0, 0.12) 0 6px 24px;
  padding: 20px;
  max-height: calc(var(--objectmap--canvas-height) - 130px);
}

@container (min-width: 800px) {
  .objectmap .maplibregl-popup-content {
    max-height: initial;
  }
}

.objectmap .maplibregl-popup-close-button {
  background: none;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16'%3E%3Cg fill='none' fill-rule='evenodd' stroke='%23FFF' stroke-linecap='square'%3E%3Cpath d='m1.654 1.654 12.692 12.692M14.346 1.654 1.654 14.346' /%3E%3C/g%3E%3C/svg%3E%0A");
  display: block;
  border: 0px;
  margin: 0px;
  padding: 0px;
  text-transform: none;
  appearance: none;
  position: absolute;
  cursor: pointer;
  user-select: none;
  top: 15px;
  right: 15px;
  width: 30px;
  height: 30px;
  border-radius: 30px;
  z-index: 2;
  background-color: #6d1a5e;
  color: #fff;
  overflow: clip;
  text-indent: -1000px;
  background-repeat: no-repeat;
  background-position: center;
}

.objectmap_marker {
  background-image: url(../images/marker.png);
  width: 16px;
  height: 22px;
  background-size: contain;
  background-position: center;
}

.objectmap_marker[data-active] {
  background-image: url(../images/marker_active.png);
  width: 26px;
  height: 36px;
}

@container (min-width: 800px) {
  .objectmap_marker[data-active] {
    width: 16px;
    height: 22px;
  }
}

.objectmap .maplibregl-popup-tip {
  display: none;
}
